﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Koule
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }





        private void BtnBezMetody_Click(object sender, RoutedEventArgs e)
        {
            double r;  // polomer
            double V, S; // vystup - objem, povrch

            r = double.Parse(TxtPolomer.Text);

            V = 4.0d / 3 * Math.PI * Math.Pow(r,3);
            S = 4 * Math.PI * r * r;

            TxtObjem.Text = V.ToString("N");
            TxtPovrch.Text = S.ToString("N");

        }


        private double ObjemKoule(double polomer)
        {
            return 4.0d / 3 * Math.PI * Math.Pow(polomer, 3);
        }

        private double PovrchKoule(double polomer)
        {
            return 4 * Math.PI * polomer * polomer;
        }

        private void Vypis ()
        {
            MessageBox.Show("AHOJ");
        }

        private void BtnMetoda_Click(object sender, RoutedEventArgs e)
        {
            double r;  // polomer
            double V, S; // vystup - objem, povrch

            r = double.Parse(TxtPolomer.Text);

            V = ObjemKoule(r);
            S = PovrchKoule(r);

            TxtObjem.Text = V.ToString("N");
            TxtPovrch.Text = S.ToString("N");
           // Vypis();
        }

        private void VypocetObjemuAPovrchu (double polomer, ref double objem, ref double povrch)
        {
            objem = 4.0d / 3 * Math.PI * Math.Pow(polomer, 3);
            povrch = 4 * Math.PI * polomer * polomer;
        }

        private void BtnMetodaNavrat_Click(object sender, RoutedEventArgs e)
        {
            double r;  // polomer
            double V = 0d;
            double S = 0d; // vystup - objem, povrch

            r = double.Parse(TxtPolomer.Text);

            VypocetObjemuAPovrchu(r, ref V, ref S);

            TxtObjem.Text = V.ToString("N");
            TxtPovrch.Text = S.ToString("N");
        }

        private void VypocetObjemuAPovrchuOut(double polomer, out double objem, out double povrch)
        {
            objem = 4.0d / 3 * Math.PI * Math.Pow(polomer, 3);
            povrch = 4 * Math.PI * polomer * polomer;
        }

        private void BtnMetodaNavratOut_Click(object sender, RoutedEventArgs e)
        {
            double r;  // polomer
            //double V;
            //double S; // vystup - objem, povrch

            r = double.Parse(TxtPolomer.Text);

            VypocetObjemuAPovrchuOut(r,  out double V, out double S);

            TxtObjem.Text = V.ToString("N");
            TxtPovrch.Text = S.ToString("N");
        }
    }
}
